import { AfterViewInit, ElementRef, NgZone, OnDestroy } from '@angular/core';
import { DataTableComponent } from './data-table.component';
export declare class ResizableColumnDirective implements AfterViewInit, OnDestroy {
    dt: DataTableComponent;
    el: ElementRef;
    zone: NgZone;
    resizeHelper: HTMLSpanElement;
    mouseDownListener: any;
    docMouseMoveListener: any;
    docMouseUpListener: any;
    constructor(dt: DataTableComponent, el: ElementRef, zone: NgZone);
    ngAfterViewInit(): void;
    bindDocEvents(): void;
    unbindDocEvents(): void;
    onMouseDown(event: Event): void;
    onDocMouseMove(event: Event): void;
    onDocMouseUp(event: Event): void;
    ngOnDestroy(): void;
}
